<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

namespace MyPrayerJournal\Domain;

/**
 * The type of recurrence a request can have
 */
enum RecurrencePeriod: string
{
    /** Requests, once prayed, are available again immediately */
    case Immediate = 'Immediate';

    /** Requests, once prayed, appear again in a number of hours */
    case Hours = 'Hours';

    /** Requests, once prayed, appear again in a number of days */
    case Days = 'Days';

    /** Requests, once prayed, appear again in a number of weeks */
    case Weeks = 'Weeks';
}
