<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

namespace MyPrayerJournal\Domain;

/**
 * An action taken on a prayer request
 */
enum RequestAction: string
{
    /** The request was created */
    case Created = 'Created';

    /** The request was marked as having been prayed for */
    case Prayed = 'Prayed';

    /** The request was updated */
    case Updated = 'Updated';

    /** The request was marked as answered */
    case Answered = 'Answered';
}
