<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use MyPrayerJournal\UI\{Component, Layout};

require '../../../start.php';

$req = validate_request($_GET['id'], ['GET'], false);

Layout::bareHead();?>
<p class=text-center><strong>Prior Notes for This Request</strong><?php
if (sizeof($req->notes) > 0) {
    foreach ($req->notes as $note) { ?>
        <p><small class=text-muted><?=Component::relativeDate($note->asOf)?></small><br>
            <?=htmlentities($note->text)?><?php
    }
} else { ?>
    <p class="text-center text-muted">There are no prior notes for this request<?php
}
Layout::bareFoot();
