<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use MyPrayerJournal\Auth;
use MyPrayerJournal\Domain\Request;
use MyPrayerJournal\UI\{Component, Layout};

require '../../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'GET') not_found();

Auth::requireUser();

$reqs = Request::answered();

Layout::pageHead('Answered Requests'); ?>
<article class="container mt-3">
    <h2 class=pb-3>Answered Requests</h2><?php
    if ($reqs->hasItems) {
        Component::requestList($reqs);
    } else {
        Component::noResults('No Answered Requests', '/journal', 'Return to your journal', <<<'TEXT'
            Your prayer journal has no answered requests; once you have marked one as &ldquo;Answered&rdquo;, it will
            appear here
            TEXT);
    } ?>
</article><?php
Layout::pageFoot();
