<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use MyPrayerJournal\Auth;
use MyPrayerJournal\Domain\Request;
use MyPrayerJournal\UI\{Component, Layout};

require '../../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'GET') not_found();

Auth::requireUser();

$reqs = Request::snoozed();

Layout::pageHead('Snoozed Requests'); ?>
<article class="container mt-3">
    <h2 class=pb-3>Snoozed Requests</h2><?php
    if ($reqs->hasItems) {
        Component::requestList($reqs);
    } else {
        Component::noResults('No Snoozed Requests', '/journal', 'Return to your journal',
            'Your prayer journal has no snoozed requests');
    } ?>
</article><?php
Layout::pageFoot();
